Bug 1223442 - Review Request: npgsql - A .Net Data Provider for PostgreSQL
Summary: Review Request: npgsql - A .Net Data Provider for PostgreSQL
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1221559
Blocks: FE-DEADREVIEW 1244899
TreeView+ depends on / blocked
 
Reported: 2015-05-20 14:02 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2020-08-10 00:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:51:34 UTC
Type: Bug


Attachments (Terms of Use)

Description Claudio Rodrigo Pereyra DIaz 2015-05-20 14:02:48 UTC
Npgsql mono >= 4

Mono no longer distributes the Npgsql driver. Developers that need it will be better served by using the actively maintained Npgsql driver from this site:

https://github.com/npgsql/npgsql

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/npgsql.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/npgsql-2.2.3-2.fc21.src.rpm
Description: A .Net Data Provider for PostgreSQL
Fedora Account System Username: elsupergomez

Comment 1 Timotheus Pokorra 2015-08-08 12:03:11 UTC
a couple of issues:

* MUST: Package must own all directories that it creates. No known owner of /usr/lib/mono/npgsql
* SHOULD: Latest version is packaged: there is a newer version 2.2.5 release at https://github.com/npgsql/npgsql/releases

rpmlint shows this:

Rpmlint
-------
Checking: npgsql-2.2.3-2.fc24.x86_64.rpm
          npgsql-devel-2.2.3-2.fc24.x86_64.rpm
          npgsql-2.2.3-2.fc24.src.rpm
npgsql.x86_64: E: no-binary
npgsql.x86_64: W: only-non-binary-in-usr-lib
npgsql-devel.x86_64: W: only-non-binary-in-usr-lib
npgsql-devel.x86_64: W: no-documentation
npgsql.src:7: E: hardcoded-library-path in %{_prefix}/lib/mono
npgsql.src:53: E: hardcoded-library-path in %{_prefix}/lib
3 packages and 0 specfiles checked; 3 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
npgsql.x86_64: E: no-binary
npgsql.x86_64: W: only-non-binary-in-usr-lib
npgsql-devel.x86_64: W: only-non-binary-in-usr-lib
npgsql-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

I don't know where this error about missing /usr/bin/python comes from? I am running fedora-review on rawhide.

Comment 3 Timotheus Pokorra 2015-11-03 08:16:44 UTC
please can someone else review this, unfortunately I am too busy with other things at the moment...

Comment 4 Package Review 2020-07-10 00:51:49 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 5 Package Review 2020-08-10 00:51:34 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.